cURL
curl --request GET \
--url 'https://api.minimax.io/v2/query/video_generation?page_num=1&page_size=4' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.minimax.io/v2/query/video_generation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.minimax.io/v2/query/video_generation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "424635601932571",
"model": "MiniMax-H3",
"status": "succeeded",
"created_at": 1785225940,
"updated_at": 1785226100,
"content": {
"url": "https://video-product.cdn.minimax.io/inference_output/rollout/2026-07-28/5fe7ec4a-6f51-4d69-880e-220e59535d98/output.mp4"
},
"resolution": "2K",
"duration": 5,
"usage": {
"total_seconds": 5,
"input_seconds": 0,
"output_seconds": 5,
"image_count": 0
},
"ratio": "adaptive",
"task_type": "generation"
},
{
"id": "424635601932588",
"model": "MiniMax-H3",
"status": "running",
"created_at": 1785225940,
"updated_at": 1785226100,
"resolution": "2K",
"duration": 10,
"usage": {
"total_seconds": 0,
"input_seconds": 0,
"output_seconds": 0,
"image_count": 0
},
"ratio": "9:16",
"task_type": "generation"
},
{
"id": "424635601932587",
"model": "MiniMax-H3",
"status": "queued",
"created_at": 1785225940,
"updated_at": 1785226100,
"resolution": "2K",
"duration": 8,
"usage": {
"total_seconds": 0,
"input_seconds": 0,
"output_seconds": 0,
"image_count": 0
},
"ratio": "9:16",
"task_type": "generation"
},
{
"id": "424635601932586",
"model": "MiniMax-H3",
"status": "failed",
"created_at": 1785225940,
"updated_at": 1785226100,
"error": {
"code": "1026",
"message": "video description contains sensitive content"
},
"resolution": "2K",
"duration": 12,
"usage": {
"total_seconds": 0,
"input_seconds": 0,
"output_seconds": 0,
"image_count": 0
},
"ratio": "9:16",
"task_type": "generation"
}
],
"total": 476
}{
"type": "error",
"error": {
"type": "bad_request_error",
"message": "invalid params (2013)",
"http_code": "400"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "authorized_error",
"message": "login fail: Please carry the API secret key in the 'Authorization' field of the request header (1004)",
"http_code": "401"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"message": "rate limit, please retry later (1002)",
"http_code": "429"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "server_error",
"message": "internal error (1000)",
"http_code": "500"
},
"request_id": "021785229015510a2c883cf675b9804d"
}MiniMax-H3
List Video Generation Tasks
List video generation tasks from the last 7 days with pagination. Supports filtering by status, task ID, model, and task type.
GET
/
v2
/
query
/
video_generation
cURL
Authorizations
HTTP: Bearer Auth
- Security Scheme Type: http
- HTTP Authorization Scheme:
Bearer API_key, used to verify account information, can be found in Account Management>API Keys.
Query Parameters
Page number, starting from 1.
Example:
1
Number of items per page.
Example:
20
Filter by task status. Available values: queued, running, succeeded, failed, cancelled, expired.
Available options:
queued, running, succeeded, failed, cancelled, expired Filter by task ID; multiple values are allowed.
Filter by model name, e.g. MiniMax-H3.
Filter by task type.
⌘I